import java.io.ByteArrayInputStream;
import javax.microedition.lcdui.*;
import javax.microedition.media.*;
import javax.microedition.media.control.RecordControl;
import javax.microedition.media.control.VideoControl;

class Lib_media
{

    private static Player p;
    private static VideoControl vc;
    private static RecordControl rc;
    private static String last_err = new String();

    Lib_media()
    {
    }

    public static void init_video(String location)
    {
        try
        {
            p = Manager.createPlayer(location);
            p.realize();
            vc = (VideoControl)p.getControl("VideoControl");
            if(vc != null)
            {
                FW.F.setTitle("Video");
                VideoControl _tmp = vc;
                FW.F.append((Item)vc.initDisplayMode(0, null));
                vc.setDisplayFullScreen(true);
                Display.getDisplay(FW.fw).setCurrent(FW.F);
            }
        }
        catch(Exception ex)
        {
            last_err = ex.getMessage();
        }
    }

    
    public static void start_video()
    {
        try
        {
          p.start();
        }
        catch(Exception ex)
        {
            last_err = ex.getMessage();
        }

    }

    
    public static void stop_video()
    {
        p.close();
    }

    public static Image capture_image()
    {
        Image r = null;
        try
        {
            byte pngImage[] = vc.getSnapshot(null);
            ByteArrayInputStream bis = new ByteArrayInputStream(pngImage);
            r = Image.createImage(bis);
        }
        catch(Exception ex)
        {
            last_err = ex.getMessage();
        }
        return r;
    }

    public static String start_audio_rec(String location)
    {
        try
        {
            Player p = Manager.createPlayer("capture://audio");
            p.realize();
            rc = (RecordControl)p.getControl("RecordControl");
            rc.setRecordLocation(location);
            rc.startRecord();
            p.start();
        }
        catch(Exception ex)
        {
            last_err = ex.getMessage();
            return null;
        }
        return rc.getContentType();
    }

    public static void stop_audio_rec()
    {
        try
        {
            p.stop();
            rc.stopRecord();
            rc.commit();
        }
        catch(Exception ex)
        {
            last_err = ex.getMessage();
        }
    }

    public static String get_last_err()
    {
        return last_err;
    }

}
